/**add 20140506 调用此方法前须先引用md5库**/
function getAntiCSRFToken(userCookie) {
	var CONST_SALT = 5381;
	var CONST_MD5_KEY = 'tencentQQVIP123443safde&!%^%1282';
  var salt = CONST_SALT;
  var skey = userCookie.substr(userCookie.indexOf('skey=@') + 5, 10);
  var md5key = CONST_MD5_KEY;
  var hash = [], ASCIICode;
  hash.push((salt << 5));
  for (var i = 0, len = skey.length; i < len; ++i) {
    ASCIICode = skey.charAt(i).charCodeAt();
    hash.push((salt << 5) + ASCIICode);
    salt = ASCIICode;
  }
  var md5str = md5(hash.join('') + md5key).toLowerCase();
  return md5str;
}